/// <reference types="cypress" />
import DataTable from "./data_table";
import { IHookBody, IParameterTypeDefinition, IStepDefinitionBody } from "./types";
export declare class Registry {
    methods: {
        defineStep<T extends unknown[]>(description: string | RegExp, body: IStepDefinitionBody<T>): void;
        Step(world: Mocha.Context, description: string, argument?: DataTable | string): void;
        defineParameterType<T>(options: IParameterTypeDefinition<T>): void;
        Before(options: {
            tags?: string;
        }, fn: IHookBody): void;
        Before(fn: IHookBody): void;
        After(options: {
            tags?: string;
        }, fn: IHookBody): void;
        After(fn: IHookBody): void;
    };
    private parameterTypeRegistry;
    private stepDefinitions;
    private beforeHooks;
    private afterHooks;
    constructor();
    private defineStep;
    private defineParameterType;
    private defineBefore;
    private defineAfter;
    private resolveStepDefintion;
    runStepDefininition(world: Mocha.Context, text: string, argument?: DataTable | string): void;
}
declare global {
    namespace globalThis {
        var __cypress_cucumber_preprocessor_registry_dont_use_this: Registry | undefined;
    }
}
declare const registry: Registry;
export default registry;
